Loading...
Searching...
No Matches
gx_system::PrefixConverter Class Reference

`#include <gx_system.h>`

## Public Types

typedef std::map< char, std::string > | symbol_path_map

## Public Member Functions

| PrefixConverter ()
| ~PrefixConverter ()
std::string | replace_symbol (const std::string &dir) const
std::string | replace_path (const std::string &dir) const
void | add (char s, const std::string &d)
void | replace (char s, const std::string &d)
const symbol_path_map & | get_symbol_path_map ()

## Private Attributes

symbol_path_map | dirs

## Detailed Description

Definition at line 313 of file gx_system.h.

## Member Typedef Documentation

## symbol_path_map

typedef std::map<char,std::string> gx_system::PrefixConverter::symbol_path_map

Definition at line 315 of file gx_system.h.

## Constructor & Destructor Documentation

## PrefixConverter()

gx_system::PrefixConverter::PrefixConverter | ( |  | ) |

inline

Definition at line 319 of file gx_system.h.

## ~PrefixConverter()

gx_system::PrefixConverter::~PrefixConverter | ( |  | ) |

inline

Definition at line 320 of file gx_system.h.

## Member Function Documentation

## add()

void gx_system::PrefixConverter::add | ( | char | s,
|  | const std::string & | d )

## get_symbol_path_map()

const symbol_path_map & gx_system::PrefixConverter::get_symbol_path_map | ( |  | ) |

inline

Definition at line 325 of file gx_system.h.

## replace()

void gx_system::PrefixConverter::replace | ( | char | s,
|  | const std::string & | d )

## replace_path()

std::string gx_system::PrefixConverter::replace_path | ( | const std::string & | dir | ) | const

## replace_symbol()

std::string gx_system::PrefixConverter::replace_symbol | ( | const std::string & | dir | ) | const

## Member Data Documentation

## dirs

symbol_path_map gx_system::PrefixConverter::dirs

private

Definition at line 317 of file gx_system.h.

Referenced by get_symbol_path_map(), and PrefixConverter().

The documentation for this class was generated from the following file:

- src/headers/gx_system.h